<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>

<body>
	<h1>Weather forecast</h1>

	<h2>Select a region to see the forecast about it.</h2>
	
	<form method="POST" action="/weather">
		<label for="regions">Choose a region:</label>
		<select name="regions" id="regions">
			<% data.forEach((region) => { %>
				<option value="<%= region.name %>"><%= region.name %></option>
			<% }); %> 
		</select>
		<button type="submit">Show forecast</button>
	</form>

	<% if(locals.show) { %>
		<div>
			<div>The temperature in <%= locals.region %> is <%= locals.temperature %> &deg;C</div>
			<div>The humidity in <%= locals.region %> is <%= locals.humidity %> %</div>
			<div>The rain in <%= locals.region %> is <%= locals.rain %> %</div>
			<div>The sky in <%= locals.region %> is <%= locals.sky %></div>
		</div>
	<% }; %>
		
</body>

</html>